## kross 5.44.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(KF5_VERSION "5.44.0") # handled by release scripts
set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
project(Kross VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.44.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})


include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(ECMQtDeclareLoggingCategory)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

ecm_setup_version(PROJECT VARIABLE_PREFIX KROSS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kross_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KrossConfigVersion.cmake"
                        SOVERSION 5)

set(REQUIRED_QT_VERSION 5.7.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Script Xml Widgets UiTools)


find_package(Qt5Test ${REQUIRED_QT_VERSION} CONFIG QUIET)
set_package_properties(Qt5Test PROPERTIES
   PURPOSE "Required for tests"
   TYPE OPTIONAL
   )
add_feature_info("Qt5Test" Qt5Test_FOUND "Required for building tests")
if (NOT Qt5Test_FOUND)
   set(BUILD_TESTING OFF CACHE BOOL "Build the testing tree.")
endif()

find_package(KF5Completion ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5DocTools ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5Parts ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_DEP_VERSION} REQUIRED)

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_definitions(-DTRANSLATION_DOMAIN=\"kross5\")
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ki18n_install(po)
    kdoctools_install(po)
endif()
add_subdirectory(docs)
add_subdirectory(src)
if (BUILD_TESTING)
add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Kross")

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5KrossConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KrossConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kross_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KrossConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5KrossConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5KrossTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5KrossTargets.cmake NAMESPACE KF5::)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/ui/CMakeLists.txt ===

file(GLOB _KROSSUIHEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.h)
#message(STATUS _KROSSUIHEADERS=${_KROSSUIHEADERS})
foreach(_KROSSUIHEADER ${_KROSSUIHEADERS})
   string(REGEX MATCH ".*_p\\.h" _ISPRIVATE ${_KROSSUIHEADER})
   #message(STATUS "_ISPRIVATE=${_ISPRIVATE} _KROSSUIHEADER=${_KROSSUIHEADER}")
    if (NOT _ISPRIVATE)
       if (NOT EXISTS ${_INCDIR}/ui/${_KROSSUIHEADER})
          file(WRITE ${_INCDIR}/ui/${_KROSSUIHEADER} "#include \"${CMAKE_CURRENT_SOURCE_DIR}/${_KROSSUIHEADER}\"\n")
        endif()
    endif()
endforeach()
if (NOT EXISTS ${_INCDIR}/ui/krossui_export.h)
    file(WRITE ${_INCDIR}/ui/krossui_export.h "#include \"${CMAKE_CURRENT_BINARY_DIR}/krossui_export.h\"\n")
endif()

set(krossui_LIB_SRCS
   actioncollectionmodel.cpp
   actioncollectionview.cpp
   scriptingplugin.cpp
#   guiclient.cpp
   )
ecm_qt_declare_logging_category(
    krossui_LIB_SRCS
    HEADER krossui_debug.h
    IDENTIFIER KROSS_UI_LOG
    CATEGORY_NAME org.kde.kross.ui
)

add_library(KF5KrossUi ${krossui_LIB_SRCS})
generate_export_header(KF5KrossUi BASE_NAME KrossUi)

target_include_directories(KF5KrossUi INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KrossUi>")

target_link_libraries(KF5KrossUi
PUBLIC
   KF5::KrossCore
   KF5::Parts   # KParts::Plugin in public API
PRIVATE
   KF5::I18n
   KF5::IconThemes # KIconButton
)
set_target_properties(KF5KrossUi PROPERTIES VERSION ${KROSS_VERSION_STRING}
                                            SOVERSION ${KROSS_SOVERSION}
                                            EXPORT_NAME KrossUi
                     )

target_include_directories(KF5KrossUi PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/../include>")

add_library(KF5::KrossUi ALIAS KF5KrossUi)

ecm_generate_headers(KrossUi_CamelCase_HEADERS
  HEADER_NAMES
  ActionCollectionModel
  ActionCollectionView
  ScriptingPlugin

  PREFIX Kross/Ui
  REQUIRED_HEADERS KrossUi_HEADERS
)
install(FILES ${KrossUi_CamelCase_HEADERS} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KrossUi/Kross/Ui COMPONENT Devel)

install(TARGETS KF5KrossUi EXPORT KF5KrossTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/krossui_export.h
  plugin.h # compat header
  model.h # compat header
  view.h # compat header
  ${KrossUi_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KrossUi/kross/ui COMPONENT Devel)

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KrossUi LIB_NAME KF5KrossUi DEPS "KrossCore KParts" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KrossUi)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kross (5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:58:55 +0000

kross (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:16:25 +0000

kross (5.42.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:22:43 +0000

kross (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:07:31 -0600

kross (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:17:32 +0000

=== debian/control ===
Source: kross
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               libkf5completion-dev (>= 5.44.0~),
               libkf5coreaddons-dev (>= 5.44.0~),
               libkf5doctools-dev (>= 5.44.0~),
               libkf5i18n-dev (>= 5.44.0~),
               libkf5iconthemes-dev (>= 5.44.0~),
               libkf5kio-dev (>= 5.44.0~),
               libkf5parts-dev (>= 5.44.0~),
               libkf5service-dev (>= 5.44.0~),
               libkf5widgetsaddons-dev (>= 5.44.0~),
               libkf5xmlgui-dev (>= 5.44.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               xauth,
               xvfb
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/frameworks/kross
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross

Package: kross
Architecture: any
Depends: libkf5krosscore5 (= ${binary:Version}),
         libkf5krossui5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: kross-dev
Architecture: any
Section: libdevel
Depends: kio-dev (>= 5.44.0~),
         kross (= ${binary:Version}),
         libkf5i18n-dev (>= 5.44.0~),
         libkf5iconthemes-dev (>= 5.44.0~),
         libkf5parts-dev (>= 5.44.0~),
         libkf5widgetsaddons-dev (>= 5.44.0~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends}
Description: development files for kross
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
 .
 Contains development files for kross.

Package: libkf5krosscore5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kross (>= ${binary:Version})
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: libkf5krossui5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='kross-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d.]+)/portingAids/kross-([\d.]+)\.tar\.xz

## kross 5.50.0

=== debian/changelog ===
kross (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:14:56 +0100

kross (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:31:08 +0100

kross (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:50:18 +0100

kross (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:09 +0200

kross (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:57:27 +0100

kross (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:09:47 +0200

kross (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:40:08 +0100

kross (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:42:49 +0100

kross (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:19 +0100

kross (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:04:17 +0100

kross (5.41.0-1) experimental; urgency=medium

  * New upstream release (5.41.0).
  * Bump Standards-Version to 4.1.2.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.41)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:41:50 -0300

kross (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:47:58 +0000

kross (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 13:00:32 +0000

kross (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:46:47 +0000

kross (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:28:24 +0000

kross (5.37.0-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:58:44 +0200

kross (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Bump Standards-Version to 4.0.1.
  * wrap-and-sort
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:44:07 +0200

kross (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:16:28 +0000

kross (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.35)
  * watch: Use https uris
  * New upstream release (5.36.0).
  * Bump group breaks (5.36)
  * Update build-deps and deps with the info from cmake

  [ Raymond Wooninck ]
  * Add signing key
  * also include signing-key

  [ Harald Sitter ]
  * acc c++11. now used more liberally

 -- Maximiliano Curia <maxy@debian.org>  Sun, 09 Jul 2017 23:42:55 +0200

kross (5.36.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 10 Jul 2017 17:14:00 +0000

kross (5.35.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2017 20:37:34 +0000

kross (5.34.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 May 2017 17:39:32 +0000

kross (5.33.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Apr 2017 16:24:55 +0000

kross (5.32.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 12 Mar 2017 13:23:25 +0000

kross (5.31.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Feb 2017 14:39:54 +0000

kross (5.30.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2017 13:42:59 +0000

kross (5.29.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Dec 2016 19:09:02 +0000

kross (5.28.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Nov 2016 09:45:55 +0000

kross (5.27.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Oct 2016 11:35:59 +0000



=== debian/control ===
--- 
+++ 
@@ -3,26 +3,26 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
-               libkf5completion-dev (>= 5.44.0~),
-               libkf5coreaddons-dev (>= 5.44.0~),
-               libkf5doctools-dev (>= 5.44.0~),
-               libkf5i18n-dev (>= 5.44.0~),
-               libkf5iconthemes-dev (>= 5.44.0~),
-               libkf5kio-dev (>= 5.44.0~),
-               libkf5parts-dev (>= 5.44.0~),
-               libkf5service-dev (>= 5.44.0~),
-               libkf5widgetsaddons-dev (>= 5.44.0~),
-               libkf5xmlgui-dev (>= 5.44.0~),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
+               extra-cmake-modules (>= 5.50.0~),
+               libkf5completion-dev (>= 5.50.0~),
+               libkf5coreaddons-dev (>= 5.50.0~),
+               libkf5doctools-dev (>= 5.50.0~),
+               libkf5i18n-dev (>= 5.50.0~),
+               libkf5iconthemes-dev (>= 5.50.0~),
+               libkf5kio-dev (>= 5.50.0~),
+               libkf5parts-dev (>= 5.50.0~),
+               libkf5service-dev (>= 5.50.0~),
+               libkf5widgetsaddons-dev (>= 5.50.0~),
+               libkf5xmlgui-dev (>= 5.50.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.6.1~),
-               qtscript5-dev (>= 5.6.1~),
-               qttools5-dev (>= 5.6.1~),
+               qtbase5-dev (>= 5.8.0~),
+               qtscript5-dev (>= 5.8.0~),
+               qttools5-dev (>= 5.8.0~),
                xauth,
-               xvfb
-Standards-Version: 3.9.8
+               xvfb,
+Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kross
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross
@@ -42,14 +42,14 @@
 Package: kross-dev
 Architecture: any
 Section: libdevel
-Depends: kio-dev (>= 5.44.0~),
-         kross (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.44.0~),
-         libkf5iconthemes-dev (>= 5.44.0~),
-         libkf5parts-dev (>= 5.44.0~),
-         libkf5widgetsaddons-dev (>= 5.44.0~),
-         qtbase5-dev (>= 5.6.1~),
-         ${misc:Depends}
+Depends: kross (= ${binary:Version}),
+         libkf5i18n-dev (>= 5.50.0~),
+         libkf5iconthemes-dev (>= 5.50.0~),
+         libkf5kio-dev (>= 5.50.0~),
+         libkf5parts-dev (>= 5.50.0~),
+         libkf5widgetsaddons-dev (>= 5.50.0~),
+         qtbase5-dev (>= 5.8.0~),
+         ${misc:Depends},
 Description: development files for kross
  Modular scripting framework that eases embedding
  of scripting interpreters like Python, Ruby and

## kross 5.54.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,11 +1,11 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.44.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.44.0") # handled by release scripts
+set(KF5_VERSION "5.54.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.54.0") # handled by release scripts
 project(Kross VERSION ${KF5_VERSION})
 
 include(FeatureSummary)
-find_package(ECM 5.44.0  NO_MODULE)
+find_package(ECM 5.54.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -29,7 +29,7 @@
                         PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5KrossConfigVersion.cmake"
                         SOVERSION 5)
 
-set(REQUIRED_QT_VERSION 5.7.0)
+set(REQUIRED_QT_VERSION 5.9.0)
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Script Xml Widgets UiTools)
 
 
@@ -45,22 +45,26 @@
 
 find_package(KF5Completion ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5CoreAddons ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5DocTools ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5I18n ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5IconThemes ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5KIO ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5Parts ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5WidgetsAddons ${KF5_DEP_VERSION} REQUIRED)
 find_package(KF5XmlGui ${KF5_DEP_VERSION} REQUIRED)
+find_package(KF5DocTools ${KF5_DEP_VERSION})
 
 remove_definitions(-DQT_NO_CAST_FROM_ASCII)
 
 add_definitions(-DTRANSLATION_DOMAIN=\"kross5\")
 if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
     ki18n_install(po)
-    kdoctools_install(po)
+    if (KF5DocTools_FOUND)
+        kdoctools_install(po)
+    endif()
 endif()
-add_subdirectory(docs)
+if (KF5DocTools_FOUND)
+    add_subdirectory(docs)
+endif()
 add_subdirectory(src)
 if (BUILD_TESTING)
 add_subdirectory(autotests)

=== debian/changelog ===
kross (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:09 -0300

kross (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:12 +0100

kross (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:17:51 +0200

kross (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:07:36 +0200

=== debian/control ===
Source: kross
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               libkf5completion-dev (>= 5.54.0~),
               libkf5coreaddons-dev (>= 5.54.0~),
               libkf5doctools-dev (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               libkf5iconthemes-dev (>= 5.54.0~),
               libkf5kio-dev (>= 5.54.0~),
               libkf5parts-dev (>= 5.54.0~),
               libkf5service-dev (>= 5.10.0~),
               libkf5widgetsaddons-dev (>= 5.54.0~),
               libkf5xmlgui-dev (>= 5.54.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
               qtscript5-dev (>= 5.9.0~),
               qttools5-dev (>= 5.9.0~),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kross
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kross
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kross.git

Package: kross
Architecture: any
Depends: libkf5krosscore5 (= ${binary:Version}),
         libkf5krossui5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: kross-dev
Section: libdevel
Architecture: any
Depends: kross (= ${binary:Version}),
         libkf5i18n-dev (>= 5.54.0~),
         libkf5iconthemes-dev (>= 5.54.0~),
         libkf5kio-dev (>= 5.54.0~),
         libkf5parts-dev (>= 5.54.0~),
         libkf5widgetsaddons-dev (>= 5.54.0~),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Description: development files for kross
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
 .
 Contains development files for kross.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5krosscore5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kross (>= ${binary:Version})
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: libkf5krossui5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
Multi-Arch: same

## kross 5.56.0

=== debian/changelog ===
kross (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:37:15 +0000

kross (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:32:37 +0000

kross (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:36:04 +0000

kross (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:49:40 +0000

kross (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:43:05 +0000

=== debian/control ===
Source: kross
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.56.0~),
               libkf5completion-dev (>= 5.56.0~),
               libkf5coreaddons-dev (>= 5.56.0~),
               libkf5doctools-dev (>= 5.56.0~),
               libkf5i18n-dev (>= 5.56.0~),
               libkf5iconthemes-dev (>= 5.56.0~),
               libkf5kio-dev (>= 5.56.0~),
               libkf5parts-dev (>= 5.56.0~),
               libkf5service-dev (>= 5.56.0~),
               libkf5widgetsaddons-dev (>= 5.56.0~),
               libkf5xmlgui-dev (>= 5.56.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qtscript5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.8.0~),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kross
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross

Package: kross
Architecture: any
Depends: libkf5krosscore5 (= ${binary:Version}),
         libkf5krossui5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: kross-dev
Architecture: any
Section: libdevel
Depends: kross (= ${binary:Version}),
         libkf5i18n-dev (>= 5.55.0~),
         libkf5iconthemes-dev (>= 5.55.0~),
         libkf5kio-dev (>= 5.55.0~),
         libkf5parts-dev (>= 5.55.0~),
         libkf5widgetsaddons-dev (>= 5.55.0~),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
Description: development files for kross
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
 .
 Contains development files for kross.

Package: libkf5krosscore5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kross (>= ${binary:Version})
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: libkf5krossui5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

## kross 5.62.0

=== debian/changelog ===
kross (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:08:24 +0100

kross (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:44:05 +0100

kross (5.60.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:17:33 +0100

kross (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:20:42 +0100

kross (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:41:48 +0100

kross (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:39:25 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.56.0~),
-               libkf5completion-dev (>= 5.56.0~),
-               libkf5coreaddons-dev (>= 5.56.0~),
-               libkf5doctools-dev (>= 5.56.0~),
-               libkf5i18n-dev (>= 5.56.0~),
-               libkf5iconthemes-dev (>= 5.56.0~),
-               libkf5kio-dev (>= 5.56.0~),
-               libkf5parts-dev (>= 5.56.0~),
-               libkf5service-dev (>= 5.56.0~),
-               libkf5widgetsaddons-dev (>= 5.56.0~),
-               libkf5xmlgui-dev (>= 5.56.0~),
+               extra-cmake-modules (>= 5.62.0~),
+               libkf5completion-dev (>= 5.62.0~),
+               libkf5coreaddons-dev (>= 5.62.0~),
+               libkf5doctools-dev (>= 5.62.0~),
+               libkf5i18n-dev (>= 5.62.0~),
+               libkf5iconthemes-dev (>= 5.62.0~),
+               libkf5kio-dev (>= 5.62.0~),
+               libkf5parts-dev (>= 5.62.0~),
+               libkf5service-dev (>= 5.62.0~),
+               libkf5widgetsaddons-dev (>= 5.62.0~),
+               libkf5xmlgui-dev (>= 5.62.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.8.0~),
                qtscript5-dev (>= 5.8.0~),
@@ -43,11 +43,11 @@
 Architecture: any
 Section: libdevel
 Depends: kross (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.55.0~),
-         libkf5iconthemes-dev (>= 5.55.0~),
-         libkf5kio-dev (>= 5.55.0~),
-         libkf5parts-dev (>= 5.55.0~),
-         libkf5widgetsaddons-dev (>= 5.55.0~),
+         libkf5i18n-dev (>= 5.62.0~),
+         libkf5iconthemes-dev (>= 5.62.0~),
+         libkf5kio-dev (>= 5.62.0~),
+         libkf5parts-dev (>= 5.62.0~),
+         libkf5widgetsaddons-dev (>= 5.62.0~),
          qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
 Description: development files for kross

## kross 5.68.0

=== debian/changelog ===
kross (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:59:08 +0000

kross (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:51:53 +0000

kross (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:20:43 +0000

kross (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:01:51 +0000

kross (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:25:58 +0000

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.62.0~),
-               libkf5completion-dev (>= 5.62.0~),
-               libkf5coreaddons-dev (>= 5.62.0~),
-               libkf5doctools-dev (>= 5.62.0~),
-               libkf5i18n-dev (>= 5.62.0~),
-               libkf5iconthemes-dev (>= 5.62.0~),
-               libkf5kio-dev (>= 5.62.0~),
-               libkf5parts-dev (>= 5.62.0~),
-               libkf5service-dev (>= 5.62.0~),
-               libkf5widgetsaddons-dev (>= 5.62.0~),
-               libkf5xmlgui-dev (>= 5.62.0~),
+               extra-cmake-modules (>= 5.68.0~),
+               libkf5completion-dev (>= 5.68.0~),
+               libkf5coreaddons-dev (>= 5.68.0~),
+               libkf5doctools-dev (>= 5.68.0~),
+               libkf5i18n-dev (>= 5.68.0~),
+               libkf5iconthemes-dev (>= 5.68.0~),
+               libkf5kio-dev (>= 5.68.0~),
+               libkf5parts-dev (>= 5.68.0~),
+               libkf5service-dev (>= 5.68.0~),
+               libkf5widgetsaddons-dev (>= 5.68.0~),
+               libkf5xmlgui-dev (>= 5.68.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.8.0~),
                qtscript5-dev (>= 5.8.0~),
@@ -43,11 +43,11 @@
 Architecture: any
 Section: libdevel
 Depends: kross (= ${binary:Version}),
-         libkf5i18n-dev (>= 5.62.0~),
-         libkf5iconthemes-dev (>= 5.62.0~),
-         libkf5kio-dev (>= 5.62.0~),
-         libkf5parts-dev (>= 5.62.0~),
-         libkf5widgetsaddons-dev (>= 5.62.0~),
+         libkf5i18n-dev (>= 5.68.0~),
+         libkf5iconthemes-dev (>= 5.68.0~),
+         libkf5kio-dev (>= 5.68.0~),
+         libkf5parts-dev (>= 5.68.0~),
+         libkf5widgetsaddons-dev (>= 5.68.0~),
          qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
 Description: development files for kross

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_strip:
	dh_strip --dbgsym-migration='kross-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kross 5.74.0

=== debian/changelog ===
kross (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:00:36 +0100

kross (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:59:50 +0100

kross (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:34:25 +0100

kross (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:07:58 +0100

kross (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields,
    - debhelper-compat = 12 for backports.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Jun 2020 14:26:27 +0100

kross (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.22.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove not needed Build-Depends.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:58:16 +0200

kross (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:33:38 +0100

kross (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Remove not needed injection of linker flags.
  * Enable hardening all.
  * Cleanup copyright file.
  * Add Build-Depends-Package to symbols file.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:57:34 +0200

kross (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:12:47 -0700

kross (5.61.0-1) experimental; urgency=medium

  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Ignore reprotest build path variations
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:00 +0100

=== debian/control ===
Source: kross
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.74.0~),
               libkf5completion-dev (>= 5.74.0~),
               libkf5coreaddons-dev (>= 5.74.0~),
               libkf5doctools-dev (>= 5.74.0~),
               libkf5i18n-dev (>= 5.74.0~),
               libkf5iconthemes-dev (>= 5.74.0~),
               libkf5kio-dev (>= 5.74.0~),
               libkf5parts-dev (>= 5.74.0~),
               libkf5widgetsaddons-dev (>= 5.74.0~),
               libkf5xmlgui-dev (>= 5.74.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.12.0~),
               qtscript5-dev (>= 5.12.0~),
               qttools5-dev (>= 5.12.0~),
               xauth,
               xvfb,
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/frameworks/kross
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kross
Rules-Requires-Root: no

Package: kross
Architecture: any
Depends: libkf5krosscore5 (= ${binary:Version}),
         libkf5krossui5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: kross-dev
Section: libdevel
Architecture: any
Depends: kross (= ${binary:Version}),
         libkf5i18n-dev (>= 5.74.0~),
         libkf5iconthemes-dev (>= 5.74.0~),
         libkf5kio-dev (>= 5.74.0~),
         libkf5parts-dev (>= 5.74.0~),
         libkf5widgetsaddons-dev (>= 5.74.0~),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends},
Description: development files for kross
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
 .
 Contains development files for kross.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5krosscore5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kross (>= ${binary:Version})
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.

Package: libkf5krossui5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Multi-language application scripting.
 Modular scripting framework that eases embedding
 of scripting interpreters like Python, Ruby and
 JavaScript transparently into native applications
 to bridge the static and dynamic worlds together.
